.image-slider {
    position: relative;
    width: 100%;
    max-width: 800px;
    height: 400px;
    margin: auto;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    /* margin-top: 150px; */
    margin-bottom: 10px !important;
}

.slider-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.slider-wrapper img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1.5s ease, transform 1.5s ease;
}

.slider-wrapper img.active {
    opacity: 1;
    transform: translateY(0);
}

/* Responsive Styles */

/* Small screens: Mobile devices */
@media (max-width: 576px) {
    .image-slider {
        height: 200px;
        max-width: 100%;
        z-index: -1;
    }

    .slider-wrapper img {
        object-fit: cover;
    }
}

/* Medium screens: Tablets */
@media (min-width: 577px) and (max-width: 992px) {
    .image-slider {
        height: 300px;
        max-width: 90%;
    }
}

/* Large screens: Desktops */
@media (min-width: 993px) {
    .image-slider {
        height: 400px;
        max-width: 800px;
    }
}



/* Navigation Buttons */
.slider-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    z-index: 2;
    transition: background-color 0.3s ease;
}

.slider-button:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.slider-button.left {
    left: 10px;
}

.slider-button.right {
    right: 10px;
}

/* Ensure buttons don't overlap images on small screens */
@media (max-width: 576px) {
    .slider-button {
        width: 30px;
        height: 30px;
        font-size: 1.2rem;
    }
}
